import { IRegion } from 'glenbikes-typescript-test';
import { ICitation } from 'glenbikes-typescript-test';
import { Citation } from 'glenbikes-typescript-test';
interface ISeattleVehicle {
    VehicleNumber: number;
    Make: string;
    Model: string;
    Year: string;
    State: string;
    Plate: string;
    ExpirationYear: string;
    Color: string;
    Style: string;
    Dealer: string;
    VIN: string;
    PlateType: string;
    DOLReceivedDate: string;
    DOLRequestDate: string;
}
export declare class SeattleRegion implements IRegion {
    GetCitationsByPlate(plate: string, state: string): Promise<Array<Citation>>;
    ProcessCitationsForRequest(citations: ICitation[], query_count: number): Array<string>;
    GetVehicleIDs(plate: string, state: string): Promise<ISeattleVehicle[]>;
    GetCitationsByVehicleNum(vehicleID: number): Promise<Citation[]>;
    GetCasesByVehicleNum(vehicleID: number): Promise<any>;
}
export {};
