import { IRegion } from 'glenbikes-typescript-test';
import { ICitation } from 'glenbikes-typescript-test';
interface ISeattleVehicle {
    VehicleNumber: number;
    Make: string;
    Model: string;
    Year: string;
    State: string;
    Plate: string;
    ExpirationYear: string;
    Color: string;
    Style: string;
    Dealer: string;
    VIN: string;
    PlateType: string;
    DOLReceivedDate: string;
    DOLRequestDate: string;
}
export declare class SeattleRegion implements IRegion {
    GetCitationsByPlate(plate: string, state: string): Promise<Array<ICitation>>;
    ProcessCitationsForRequest(citations: ICitation[]): Promise<string[]>;
    GetVehicleIDs(plate: string, state: string): Promise<ISeattleVehicle[]>;
    GetCitationsByVehicleNum(vehicleID: number): Promise<ICitation[]>;
}
export {};
